import request from '@/utils/request'

// 角色列表
export const roleLists = (params: Record<string, any> = {}) => {
  return request.get({ url: '/auth.role/lists', params })
}

// 角色列表-选项
export const roleOptions = (params: Record<string, any> = {}) => {
  return request.get({ url: '/auth.role/getAllRoleIdAndName', params })
}

// 角色新增
export const roleAdd = (params: Record<string, any>) => {
  return request.post({ url: '/auth.role/add', params })
}

// 角色删除
export const roleDelete = (params: Record<string, any>) => {
  return request.post({ url: '/auth.role/delete', params })
}

// 角色编辑
export const roleEdit = (params: Record<string, any>) => {
  return request.post({ url: '/auth.role/edit', params })
}
